#### 3.17.23 MCore Options

These are the ‘`-m`’ options defined for the Motorola M*Core processors.

`-mhardlit`
`-mno-hardlit`
  Inline constants into the code stream if it can be done in two instructions or less.
`-mdiv`
`-mno-div`
  Use the divide instruction. (Enabled by default).
`-mrelax-immediate`
`-mno-relax-immediate`
  Allow arbitrary sized immediates in bit operations.
`-mwide-bitfields`
`-mno-wide-bitfields`
  Always treat bit-fields as int-sized.
`-m4byte-functions`
`-mno-4byte-functions`
  Force all functions to be aligned to a four byte boundary.
`-mcallgraph-data`
`-mno-callgraph-data`
  Emit callgraph information.
`-mslow-bytes`
`-mno-slow-bytes`
  Prefer word access when reading byte quantities.
`-mlittle-endian`
`-mbig-endian`
  Generate code for a little endian target.
`-m210`
`-m340`
  Generate code for the 210 processor.
`-mno-lsim`
  Assume that run-time support has been provided and so omit the simulator library (`libsim.a)` from the linker command line.
`-mstack-increment=`size
  Set the maximum amount for a single stack increment operation. Large values can increase the speed of programs which contain functions that need a large amount of stack space, but they can also trigger a segmentation fault if the stack is extended too much. The default value is 0x1000.